summaryrefslogtreecommitdiff
path: root/.config/wmii-hg
diff options
context:
space:
mode:
authorLuke Shumaker <lukeshu@sbcglobal.net>2016-08-13 01:48:01 -0400
committerLuke Shumaker <lukeshu@sbcglobal.net>2016-08-13 16:39:27 -0400
commitb6ca8ce55f0a850e18ef032dbe0aefffaf1be2ec (patch)
treeba2af1c4ce8e0040f8cdd792c4265128e55beaea /.config/wmii-hg
parent29028d9b2b3df8aafb6a766c074e55bf8f452437 (diff)
Spend way too long fighting with wmii
Diffstat (limited to '.config/wmii-hg')
-rw-r--r--.config/wmii-hg/config.sh6
-rw-r--r--.config/wmii-hg/include.sh8
-rw-r--r--.config/wmii-hg/rbar.sh2
-rwxr-xr-x.config/wmii-hg/wmiirc1
4 files changed, 7 insertions, 10 deletions
diff --git a/.config/wmii-hg/config.sh b/.config/wmii-hg/config.sh
index 77d813f..19cebca 100644
--- a/.config/wmii-hg/config.sh
+++ b/.config/wmii-hg/config.sh
@@ -59,10 +59,12 @@ Event() {
echo " -> Creating mountpoint WMII_DIR=$WMII_DIR..."
mkdir -p "$WMII_DIR"
echo " -> Mounting WMII_DIR=$WMII_DIR..."
- 9mount -i "unix!$WMII_NAMESPACE/wmii" "$WMII_DIR";;
+ 9pfuse "$WMII_ADDRESS" "$WMII_DIR"
+ while ! [[ -f "$WMII_DIR/event" ]]; do :; done
+ ;;
WmiircUnmount) ## No args
echo " -> Unmounting WMII_DIR=$WMII_DIR..."
- 9umount "$WMII_DIR"
+ fusermount -u "$WMII_DIR"
echo " -> Removing mountpoint WMII_DIR=$WMII_DIR..."
rmdir -p "$WMII_DIR" 2>/dev/null;;
## WMII-meta events
diff --git a/.config/wmii-hg/include.sh b/.config/wmii-hg/include.sh
index 788e2af..f9cf4b4 100644
--- a/.config/wmii-hg/include.sh
+++ b/.config/wmii-hg/include.sh
@@ -4,12 +4,8 @@ if [[ -z "$XDG_RUNTIME_DIR" ]]; then
exit 6
fi
-if [[ -z "$WMII_NAMESPACE" ]]; then
- export WMII_NAMESPACE="$(wmiir namespace)"
-fi
-if [[ -z "$WMII_DIR" ]]; then
- export WMII_DIR="${XDG_RUNTIME_DIR}/wmii${DISPLAY}"
-fi
+[[ -n "$WMII_ADDRESS" ]] || export WMII_ADDRESS="unix!$(wmiir namespace)/wmii"
+[[ -n "$WMII_DIR" ]] || export WMII_DIR="${XDG_RUNTIME_DIR}/wmii@${DISPLAY}"
. workarounds.sh
. util.sh
diff --git a/.config/wmii-hg/rbar.sh b/.config/wmii-hg/rbar.sh
index cf256dd..b02c2e9 100644
--- a/.config/wmii-hg/rbar.sh
+++ b/.config/wmii-hg/rbar.sh
@@ -10,7 +10,7 @@ setup_trap() {
write() {
local dirs=("${XDG_RUNTIME_DIR}"/wmii*/rbar/)
- sponge|tee -a "${dirs[@]/%/${1}}" > /dev/null
+ sponge|tee -a "${dirs[@]/%/${1}}" > /dev/null || true
}
set -eE
diff --git a/.config/wmii-hg/wmiirc b/.config/wmii-hg/wmiirc
index a66d3d9..c6e05bf 100755
--- a/.config/wmii-hg/wmiirc
+++ b/.config/wmii-hg/wmiirc
@@ -1,5 +1,4 @@
#!/usr/bin/env bash
-unset WMII_NAMESPACE
unset WMII_DIR
if [[ -z $_PATH ]]; then